package com.slibra.business.res;

import com.slibra.common.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 用户信息对象 t_user_info
 * 
 * @author slibra
 * @date 2024-11-06
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class Top7Res implements Serializable {
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private int index;

    /** 总数 */
    private int total;

    /** 业务类型名称 */
    private String name;

    /** 占比 */
    private BigDecimal percent;


}
