package com.slibra.business.res;

import com.slibra.common.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 用户信息对象 t_user_info
 * 
 * @author slibra
 * @date 2024-11-06
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class UpdateUserExcelInfo
{
    private static final long serialVersionUID = 1L;

    /** 用户编号 */
    @Excel(name = "用户编号")
    private String userNo = "";

    /** 用户手机号 */
    @Excel(name = "用户手机号")
    private String phone = "";

}
