package com.slibra.business.service.impl;

import java.util.List;
import com.slibra.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.slibra.business.mapper.TCloseTimeMapper;
import com.slibra.business.domain.TCloseTime;
import com.slibra.business.service.ITCloseTimeService;

/**
 * 【请填写功能名称】Service业务层处理
 * 
 * @author slibra
 * @date 2025-01-16
 */
@Service
public class TCloseTimeServiceImpl implements ITCloseTimeService 
{
    @Autowired
    private TCloseTimeMapper tCloseTimeMapper;

    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public TCloseTime selectTCloseTimeById(Long id)
    {
        return tCloseTimeMapper.selectTCloseTimeById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param tCloseTime 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<TCloseTime> selectTCloseTimeList(TCloseTime tCloseTime)
    {
        return tCloseTimeMapper.selectTCloseTimeList(tCloseTime);
    }

    /**
     * 新增【请填写功能名称】
     * 
     * @param tCloseTime 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertTCloseTime(TCloseTime tCloseTime)
    {
        tCloseTime.setCreateTime(DateUtils.getNowDate());
        return tCloseTimeMapper.insertTCloseTime(tCloseTime);
    }

    /**
     * 修改【请填写功能名称】
     * 
     * @param tCloseTime 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateTCloseTime(TCloseTime tCloseTime)
    {
        tCloseTime.setUpdateTime(DateUtils.getNowDate());
        return tCloseTimeMapper.updateTCloseTime(tCloseTime);
    }

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteTCloseTimeByIds(Long[] ids)
    {
        return tCloseTimeMapper.deleteTCloseTimeByIds(ids);
    }

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteTCloseTimeById(Long id)
    {
        return tCloseTimeMapper.deleteTCloseTimeById(id);
    }
}
