package com.slibra.business.res;


import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@Builder
@Data
@AllArgsConstructor
@NoArgsConstructor
public class CallRecordListResp {

    //统计日期
    private String date;

    //呼入总量
    private int inTotal;

    //接通总量
    private int successTotal;

    //未接通总量
    private int failTotal;

    //机器人接听
    private int robotHearTotal;

    //机器人转人工
    private int transferTotal;

    //人工接听
    private int humanTotal;

    //机器人处理量
    private int robotHandleTotal;

    //人工处理量
    private int humanHandleTotal;

    //机器人处理率
    private BigDecimal robotRate = BigDecimal.ZERO;

    //人工处理率
    private BigDecimal humanRate = BigDecimal.ZERO;

    //未接通率
    private BigDecimal failRate = BigDecimal.ZERO;



}
