package com.slibra.business.service.impl;

import java.util.List;
import com.slibra.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.slibra.business.mapper.TImportFailMapper;
import com.slibra.business.domain.TImportFail;
import com.slibra.business.service.ITImportFailService;

/**
 * 【请填写功能名称】Service业务层处理
 * 
 * @author slibra
 * @date 2025-01-14
 */
@Service
public class TImportFailServiceImpl implements ITImportFailService 
{
    @Autowired
    private TImportFailMapper tImportFailMapper;

    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public TImportFail selectTImportFailById(Long id)
    {
        return tImportFailMapper.selectTImportFailById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param tImportFail 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<TImportFail> selectTImportFailList(TImportFail tImportFail)
    {
        return tImportFailMapper.selectTImportFailList(tImportFail);
    }

    /**
     * 新增【请填写功能名称】
     * 
     * @param tImportFail 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertTImportFail(TImportFail tImportFail)
    {
        tImportFail.setCreateTime(DateUtils.getNowDate());
        return tImportFailMapper.insertTImportFail(tImportFail);
    }

    /**
     * 修改【请填写功能名称】
     * 
     * @param tImportFail 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateTImportFail(TImportFail tImportFail)
    {
        tImportFail.setUpdateTime(DateUtils.getNowDate());
        return tImportFailMapper.updateTImportFail(tImportFail);
    }

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteTImportFailByIds(Long[] ids)
    {
        return tImportFailMapper.deleteTImportFailByIds(ids);
    }

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteTImportFailById(Long id)
    {
        return tImportFailMapper.deleteTImportFailById(id);
    }
}
